Package org.apache.tools.ant.taskdefs

# Class FixCRLF.CrLf

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.FixCRLF.CrLf

Enclosing class:
  `FixCRLF`

public static class FixCRLF.CrLf extends EnumeratedAttribute
Enumerated attribute with the values "asis", "cr", "lf", "crlf", "mac", "unix" and "dos.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CrLf()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CrLf

    public CrLf()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      - .